Bug 443127 - coolkey PKCS#11 C_Initiailize fails with CKF_OS_LOCKING flag
coolkey PKCS#11 C_Initiailize fails with CKF_OS_LOCKING flag
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: coolkey (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Bob Relyea
desktop-bugs@redhat.com
:
Depends On:
Blocks: 443991
  Show dependency treegraph
 
Reported: 2008-04-18 14:59 EDT by Joe Orton
Modified: 2013-04-12 15:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 484663 (view as bug list)
Environment:
Last Closed: 2010-01-27 10:11:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2008-04-18 14:59:35 EDT
Description of problem:
The coolkey PKCS#11 module's C_Initialize function fails if the ->flags field 
has the CKF_OS_LOCKING flag set.

Version-Release number of selected component (if applicable):
coolkey-1.1.0-5.el5

How reproducible:
always

Steps to Reproduce:
1. wget http://www.manyfish.co.uk/pakchois/pakchois-0.4.tar.gz
2. tar xzf pakchois-0.4.tar.gz
3. cd pakchois-0.4
4. ./configure --enable-module-path=/usr/lib64/pkcs11
5. make test
6. ./test coolkey

Actual results:
create failed: 10!

Expected results:
ok
version: 2.11
manufacturer: Mozilla Foundation              
library: CoolKey PKCS #11 Module     
0 slots:
sessopen failed
Comment 1 RHEL Product and Program Management 2008-06-09 17:58:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 RHEL Product and Program Management 2009-03-26 13:24:43 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 7 Chandrasekar Kannan 2009-08-05 15:50:11 EDT
per bug council, proposing for rhel 5.5
Comment 14 Asha Akkiangady 2010-01-18 10:24:29 EST
Verified.

Executed tests as mentioned in bug https://bugzilla.redhat.com/show_bug.cgi?id=245529, the coolkey PKCS#11 module's C_Initialize function works fine on Rhel 5.5 with coolkey build coolkey-1.1.0-14.el5.{Arch}.
Comment 16 errata-xmlrpc 2010-01-27 10:11:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0068.html

Note You need to log in before you can comment on or make changes to this bug.